<?php get_header(); ?>

<div id="content">
<div class="blog">

<?php if (have_posts()) : ?>

<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>

<?php /* If this is a category archive */ if (is_category()) { ?>

<div class="crumbs"><a href="<?php echo get_option('home'); ?>/">Top</a> &gt; 
<?php
$breadcrumbs = get_category_parents( get_queried_object(), true, ' &gt; ' );
echo preg_replace('/(.*) &gt;/', '$1', $breadcrumbs);
?>
</div>

<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
<div class="crumbs"><a href="<?php echo get_option('home'); ?>/">Home</a> &gt; <?php the_time('F jS, Y'); ?></div>

<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<div class="crumbs"><a href="<?php echo get_option('home'); ?>/">Home</a> &gt; <?php the_time('F, Y'); ?></div>

<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<div class="crumbs"><a href="<?php echo get_option('home'); ?>/">Home</a> &gt; <?php the_time('Y'); ?></div>

<?php /* If this is a search */ } elseif (is_search()) { ?>
<div class="crumbs"><a href="<?php echo get_option('home'); ?>/">Home</a> &gt; Search Results</div>

<?php /* If this is an author archive */ } elseif (is_author()) { ?>
<div class="crumbs"><a href="<?php echo get_option('home'); ?>/">Home</a> &gt; Author Archive</div>

<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<div class="crumbs"><a href="<?php echo get_option('home'); ?>/">Home</a> &gt; Blog Archives</div>

<?php } ?>

<?php while (have_posts()) : the_post(); ?>
<div class="entry" id="post<?php the_ID(); ?>">
    <?php the_date('Y.m.d', '<p class="date">', '</p>') ?>
    <h2 class="entry-header" id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
    <div class="entry-body clearfix">
        <?php the_content() ?>
    </div>
    <p class="entry-footer">Posted at <?php the_time('h:i') ?> | Category: <?php the_category(', ') ?> | <?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?> <?php edit_post_link('Edit', ' | ', ''); ?></p>
</div>
<?php endwhile; ?>

<p class="content-nav"><?php posts_nav_link(' | ', '&laquo; Previous', 'Next &raquo;'); ?></p>


<?php else : ?>
    <h2 class="center">Not Found</h2>
    <?php include (TEMPLATEPATH . '/searchform.php'); ?>
<?php endif; ?>

</div>
</div>

<?php
if (preg_match('/layout-three-column-right|layout-three-column-liquid-right/',$layout)) {
} else {
    if (preg_match('/three|left/',$layout)) {
?>
<div id="links-left-box">
<div id="links-left">
<?php
        include (TEMPLATEPATH . '/sidebar2.php');
?>
</div>
</div>
<?php
    }
}
?>

<?php
if (preg_match('/layout-three-column-right|layout-three-column-liquid-right/',$layout)) {
?>
<div id="links-left-box">
<div id="links-left">
<?php
    include (TEMPLATEPATH . '/sidebar2.php');
?>
</div>
</div>
<?php
}
?>

<?php
if (preg_match('/three|right/',$layout)) {
?>
<div id="links-right-box">
<div id="links-right">
<?php
    if (preg_match('/two/',$layout)) {
        include (TEMPLATEPATH . '/sidebar2.php');
    }
    get_sidebar();
?>
</div>
</div>
<?php
}
?>

<?php get_footer(); ?>
