<?php // Do not delete these lines
    if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
        die ('Please do not load this page directly. Thanks!');
    if (!empty($post->post_password)) { // if there's a password
        if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
            ?>
            <p class="nocomments">This post is password protected. Enter the password to view comments.<p>
            <?php return;
        }
    }
?>

<div id="comments">

<?php if ('open' == $post->ping_status) : // comment close ?> 
    <h3 class="comments-head">Trackback URL</h3> 
    <input type="text" value="<?php trackback_url(true); ?>" size="60" readonly="readonly" id="trackbackurl" tabindex="1" accesskey="t" onfocus="this.select()" />
<?php endif; ?>

<h3 class="comments-head">Comment &amp; Trackback<!-- [<?php comments_number('No Responses', 'One Response', '% Responses' );?>]--></h3> 

    <?php if (!('open' == $post->comment_status) && ('open' == $post->ping_status)) : // comment close ?> 
        <p class="nocomments">Comments are closed.</p>
    <?php elseif (('open' == $post->comment_status) && !('open' == $post->ping_status)) : // trackback close ?> 
        <p class="nocomments">Trackback are closed.</p>
    <?php elseif (!('open' == $post->comment_status) && !('open' == $post->ping_status)) : // comment and trackback close ?> 
        <p class="nocomments">Comments and Trackback are closed.</p>
    <?php endif; ?>

<?php if ($comments) : ?>

    <div class="commentlist">
    <?php foreach ($comments as $comment) : ?>

        <div id="comment-<?php comment_ID() ?>" class="comment">
            <?php if ($comment->comment_approved == '0') : ?>
                <em>Your comment is awaiting moderation.</em>
            <?php endif; ?>
            <div class="comment-content"><?php comment_text() ?></div>
            <p class="comment-footer">Posted at <a href="#comment-<?php comment_ID() ?>"><?php comment_date('Y.m.j') ?> <?php comment_time() ?></a> by <?php comment_author_link() ?><?php if ( $user_ID ) : ?> | <?php edit_comment_link('edit','',''); ?><?php endif; ?></p>
        </div>

    <?php endforeach; /* end for each comment */ ?>
    </div>

<?php else : // this is displayed if there are no comments so far ?>
    <p class="nocomments">No comments.</p>
<?php endif; ?>

<?php if (('open' == $post->comment_status) && ('open' == $post->ping_status)) : // open ?> 
    <p><?php comments_rss_link('Comment feed'); ?></p>
<?php endif; ?>


<?php if ('open' == $post->comment_status) : ?>
<h3 class="comments-head">Comment</h3>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logged in</a> to post a comment.</p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" name="commentform" id="commentform">
<div id="comments-open-data">
<?php if ( $user_ID ) : ?>
    <p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. (<a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">Logout</a>)</p>
<?php else : ?>
    <p><label for="author">Name:<?php if ($req) echo "(required)"; ?></label><br />
       <input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="2" accesskey="n" />
    </p>
    <p><label for="email">Mail: (will not be published) <?php if ($req) echo "(required)"; ?></label><br />
       <input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="3" accesskey="m" />
    </p>
    <p><label for="url">Website:</label><br />
       <input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="4" accesskey="w" />
    </p>
<?php endif; ?>

<p><label for="url">Comment:</label><br />
   <textarea name="comment" id="comment" cols="40" rows="8" tabindex="5" accesskey="c" onfocus="if (this.value == 'Please comment') this.value = '';" onblur="if (this.value == '') this.value = 'Please comment';">Please comment</textarea>
</p>
<p>XHTML: You can use these tags:<br /><?php echo allowed_tags(); ?></p>
<p><input name="submit" type="submit" id="submit" tabindex="6" value="Submit" accesskey="s" />
   <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>

<?php do_action('comment_form', $post->ID); ?>

</div>
</form>

<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>

</div><!-- comments -->
