<?php get_header(); ?>

<!-- center -->
<div id="content">
<div class="blog">

<?php if (have_posts()) : ?>
    <div class="entry">
        <div class="date">Search Results</div>
        
        <div class="navigation">
            <div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
            <div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
        </div>

<?php while (have_posts()) : the_post(); ?>
                
        <h2 class="entry-header"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
        <p class="entry-footer">Posted at <?php the_time('h:i') ?> | Category: <?php the_category(', ') ?> | <?php edit_post_link('Edit', '', ' | '); ?>  <?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></p>

<?php endwhile; ?>

        <div class="navigation">
            <div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
            <div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
        </div>
    </div>

<?php else : ?>

    <div class="entry">
        <div class="date">Search Results</div>
    <div class="entry-header">No posts found. Try a different search?</div>
    <?php include (TEMPLATEPATH . '/searchform.php'); ?>
    </div>

<?php endif; ?>

</div>
</div>

<?php
if (preg_match('/layout-three-column-right|layout-three-column-liquid-right/',$layout)) {
} else {
    if (preg_match('/three|left/',$layout)) {
?>
<div id="links-left-box">
<div id="links-left">
<?php
        include (TEMPLATEPATH . '/sidebar2.php');
?>
</div>
</div>
<?php
    }
}
?>

<?php
if (preg_match('/layout-three-column-right|layout-three-column-liquid-right/',$layout)) {
?>
<div id="links-left-box">
<div id="links-left">
<?php
    include (TEMPLATEPATH . '/sidebar2.php');
?>
</div>
</div>
<?php
}
?>

<?php
if (preg_match('/three|right/',$layout)) {
?>
<div id="links-right-box">
<div id="links-right">
<?php
    if (preg_match('/two/',$layout)) {
        include (TEMPLATEPATH . '/sidebar2.php');
    }
    get_sidebar();
?>
</div>
</div>
<?php
}
?>

<?php get_footer(); ?>
