<?php get_header(); ?>

<!-- center -->
<div id="content">
<div class="blog">

<?php if (have_posts()) :  while (have_posts()) : the_post(); ?>
<p class="content-nav"><?php previous_post_link('&laquo; %link') ?><?php next_post_link(' | %link &raquo;') ?></p>
    <div class="entry" id="post<?php the_ID(); ?>">
        <p class="date"><?php the_time('Y.m.d') ?></p>
        <h2 class="entry-header"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
        <div class="entry-body clearfix">
            <?php the_content('Read more &raquo;'); ?>
            <?php wp_link_pages( array(
                                     'before' => '<p>' . __('Pages:'),
                                     'after' => '</p>',
                                     'next_or_number' => 'number',
                                )); ?>
        </div>
        <p class="entry-footer">Posted at <?php the_time('h:i') ?> | Category: <?php the_category(', ') ?> | <?php edit_post_link('Edit', '', ' | '); ?>  <?php comments_number('No Comments', '1 Comment', '% Comments'); ?></p>
    </div>
    <?php posts_nav_link(' | ', '<p class="content-nav">&laquo; Previous Entries', 'Next Entries &raquo;</p>'); ?>

<?php comments_template(); ?>

<?php endwhile; else: ?>

<h2 class="center">Not Found</h2>
    <p class="center"><?php _e('Sorry, but you are looking for something that isn\'t here.'); ?></p>
<?php endif; ?>

</div><!-- /blog -->
</div><!-- /content -->
<!-- /center -->

<?php
if (preg_match('/layout-three-column-right|layout-three-column-liquid-right/',$layout)) {
} else {
    if (preg_match('/three|left/',$layout)) {
?>
<div id="links-left-box">
<div id="links-left">
<?php
        include (TEMPLATEPATH . '/sidebar2.php');
?>
</div>
</div>
<?php
    }
}
?>

<?php
if (preg_match('/layout-three-column-right|layout-three-column-liquid-right/',$layout)) {
?>
<div id="links-left-box">
<div id="links-left">
<?php
    include (TEMPLATEPATH . '/sidebar2.php');
?>
</div>
</div>
<?php
}
?>

<?php
if (preg_match('/three|right/',$layout)) {
?>
<div id="links-right-box">
<div id="links-right">
<?php
    if (preg_match('/two/',$layout)) {
        include (TEMPLATEPATH . '/sidebar2.php');
    }
    get_sidebar();
?>
</div>
</div>
<?php
}
?>

<?php get_footer(); ?>